From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/liblinear/
Date: Mon, 18 Dec 2017 14:49:57 +0000 (UTC) [thread overview]
Message-ID: <1513608596.df081b533f3082653430a939831601b87c1b5a17.jer@gentoo> (raw)
commit: df081b533f3082653430a939831601b87c1b5a17
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 18 14:49:11 2017 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 14:49:56 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df081b53
dev-libs/liblinear: Version bump.
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-libs/liblinear/Manifest | 1 +
dev-libs/liblinear/liblinear-220.ebuild | 65 +++++++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/dev-libs/liblinear/Manifest b/dev-libs/liblinear/Manifest
index 6776b445ff0..8615836097c 100644
--- a/dev-libs/liblinear/Manifest
+++ b/dev-libs/liblinear/Manifest
@@ -1,2 +1,3 @@
DIST liblinear-210.tar.gz 381662 BLAKE2B d64d217f7ba67605821062f66d4e9f130f4f2396dde14cd35532bad11f4af4f34bc231a1e3796ba2d0e14f84830ec05c6358d40018e048f4ae3fa62db2b1d0d7 SHA512 4e4558467f2ebb3dbd640c172b1129c8e5981c231a043abb0398a803252559795604a34992baee50ae6689646050733d3a908d7d76f8b1c94309b859eae7f8c8
DIST liblinear-211.tar.gz 506507 BLAKE2B 31b7677dfbf9dbb060a28dc19c63db4244e55c4ddc984a8c9ccadc517beabaf8fabef04488366cd7375608412dad3c37d4f09fe27b37b69e69209d32379a9e45 SHA512 005a47b3a8ff27f9890ce10549478be4b041c92d162815fba33dd56db7c014e6958b3e7e161451490c34d88df2161366365bd41b1a48d6a77034edc346a0fc3a
+DIST liblinear-220.tar.gz 517302 BLAKE2B 6aa28c3357f830441ee3cb2e9691d4952e4d4db6592622f6e93be1ed12c8f871e4a9c98abcb35b472a227005bad0cc1e6076678358dc324a7453cbbfb34a0866 SHA512 cde798b7cb221513cf2b8bbe134d6c3dce1ed26c43504d8c09dbed93b82ca47bfd271d4dd3d03384187273906ce140d4ce4418a4a8c21410015ec1631c1042c6
diff --git a/dev-libs/liblinear/liblinear-220.ebuild b/dev-libs/liblinear/liblinear-220.ebuild
new file mode 100644
index 00000000000..aa78ae616b6
--- /dev/null
+++ b/dev-libs/liblinear/liblinear-220.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib toolchain-funcs
+
+DESCRIPTION="A Library for Large Linear Classification"
+HOMEPAGE="http://www.csie.ntu.edu.tw/~cjlin/liblinear/ https://github.com/cjlin1/liblinear"
+SRC_URI="https://github.com/cjlin1/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="blas"
+
+RDEPEND="
+ blas? ( virtual/blas )
+"
+DEPEND="
+ ${RDEPEND}
+ blas? ( virtual/pkgconfig )
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^AR/s|=|?=|g' \
+ -e '/^RANLIB/s|=|?=|g' \
+ -e '/^CFLAGS/d;/^CXXFLAGS/d' \
+ blas/Makefile || die
+ sed -i \
+ -e 's|make|$(MAKE)|g' \
+ -e '/$(LIBS)/s|$(CFLAGS)|& $(LDFLAGS)|g' \
+ -e '/^CFLAGS/d;/^CXXFLAGS/d' \
+ -e 's|$${SHARED_LIB_FLAG}|& $(LDFLAGS)|g' \
+ Makefile || die
+ if use blas; then
+ sed -i -e 's:blas/blas.a::g' Makefile || die
+ fi
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ CXX="$(tc-getCXX)" \
+ CFLAGS="${CFLAGS} -fPIC" \
+ CXXFLAGS="${CXXFLAGS} -fPIC" \
+ AR="$(tc-getAR) rcv" \
+ RANLIB="$(tc-getRANLIB)" \
+ LIBS="$(usex blas "$( $(tc-getPKG_CONFIG) --libs blas )" blas/blas.a)" \
+ lib all
+}
+
+src_install() {
+ dolib ${PN}.so.3
+ dosym ${PN}.so.3 /usr/$(get_libdir)/${PN}.so
+
+ newbin predict ${PN}-predict
+ newbin train ${PN}-train
+
+ doheader linear.h
+
+ dodoc README
+}
next reply other threads:[~2017-12-18 14:50 UTC|newest]
Thread overview: 66+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-18 14:49 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-06-25 7:05 [gentoo-commits] repo/gentoo:master commit in: dev-libs/liblinear/ Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-05-21 19:35 Sam James
2022-01-01 9:38 Sam James
2021-09-27 14:53 Marek Szuba
2021-04-25 5:14 Sam James
2021-04-25 5:14 Sam James
2021-04-23 16:13 Sam James
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-03-23 4:53 Sam James
2021-03-16 21:56 Sam James
2021-02-15 0:42 Sam James
2021-02-15 0:38 Sam James
2021-02-05 12:29 Sam James
2021-02-02 23:46 Sam James
2021-01-30 10:03 Sam James
2021-01-28 19:47 Sam James
2021-01-28 16:32 Sam James
2021-01-28 16:29 Sam James
2020-12-29 23:35 Sam James
2020-12-20 6:29 Sam James
2020-12-13 12:21 Fabian Groffen
2020-11-15 10:33 Sam James
2020-11-14 19:25 Sergei Trofimovich
2020-11-14 19:24 Sergei Trofimovich
2020-11-14 19:20 Sergei Trofimovich
2020-11-14 19:17 Sergei Trofimovich
2020-11-14 19:01 Sam James
2020-11-14 16:50 Sam James
2020-11-14 0:09 Thomas Deutschmann
2020-11-04 7:29 Sam James
2020-11-04 3:48 Sam James
2020-11-04 3:48 Sam James
2020-07-29 9:45 Jeroen Roovers
2020-07-22 8:20 Jeroen Roovers
2020-07-22 6:07 Jeroen Roovers
2019-08-11 10:06 Jeroen Roovers
2019-04-26 14:30 Jeroen Roovers
2019-04-26 14:30 Jeroen Roovers
2018-11-18 1:18 Thomas Deutschmann
2018-05-27 16:11 Aaron Bauman
2018-04-06 11:05 Fabian Groffen
2017-06-25 9:55 Jeroen Roovers
2017-06-25 9:55 Jeroen Roovers
2016-03-04 2:16 Stephen Klimaszewski
2016-02-14 8:49 Jeroen Roovers
2016-01-09 16:10 Markus Meier
2016-01-02 7:14 Jeroen Roovers
2015-12-28 7:57 Jeroen Roovers
2015-12-26 23:32 Agostino Sarubbo
2015-12-21 14:32 Patrick Lauer
2015-10-03 12:32 Michał Górny
2015-10-03 7:49 Jeroen Roovers
2015-09-29 18:03 Jeroen Roovers
2015-09-29 16:13 Michał Górny
2015-09-29 9:09 Justin Lecher
2015-09-29 4:04 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1513608596.df081b533f3082653430a939831601b87c1b5a17.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox